package cc.javastudio.raw;

import java.util.HashMap;

public final class Index {
    private static Index instance = new Index();
    private HashMap<Long, Long> indexes = new HashMap<>();
    private long totalRows = 0;
    private Index() {}

    public static Index getInstance() {
        return instance;
    }

    public void set(long index, long position) {
        if (!indexes.containsKey(index)) {
            totalRows++;
        }

        indexes.put(index, position);
    }

    /**
     * Searches for the position in a file of an index
     * @param index index to find the position of
     * @return -1 if not found; index position >= 0 when found
     */
    public long get(long index) {
        return indexes.getOrDefault(index, -1l);
        //return indexes.getOrDefault(index, (long)-1);
    }

    public long getTotalRows() {
        return totalRows;
    }

    public void remove(long index) {
        if (indexes.containsKey(index)) {
            indexes.remove(index);
            totalRows--;
        }
    }
}
