package cc.javastudio.raw;

import org.junit.jupiter.api.Test;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.security.KeyStore;
import java.util.Arrays;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class FileHandlerTest {
    @Test
    void add() {
        try {
            FileHandler handler = new FileHandler("DBServer.db");
            handler.add("Señor José Jalapeño ona Steeeck", 30, "Mexico", "OAS-747", "On a Steeeeck");
            System.out.println("Data written");
            handler.close();
        }
        catch (IOException ex) {
            System.out.println(ex.getMessage());
        }
    }

    @Test
    void readAll() {
        try {
            FileHandler handler = new FileHandler("DBServer.db");
            byte[] data = handler.readAll();
            System.out.println("Data read");
            System.out.println(Arrays.toString(data));
            handler.close();
        }
        catch (IOException ex) {
            System.out.println(ex.getMessage());
        }
    }

    @Test
    void readRow() {
        try (FileHandler handler = new FileHandler("DBServer.db")) {
            Person person = handler.readRow(3);
            System.out.println(person);
        }
        catch (IOException ex) {
            System.out.println(ex.getMessage());
        }
    }
}